---
title: "Get email brand resource"
url: "https://docs.signnow.com/docs/deprecated-branding/operations/get-v2-brands-brand_id-email"
type: "endpoint"
section: "deprecated-branding"
slug: "deprecated-branding/operations/get-v2-brands-brand_id-email"
method: "GET"
path: "/v2/brands/{brand_id}/resources/email"
operation_id: "get-v2-brands-brand_id-email"
authorization: "bearer"
---

# Get email brand resource

`GET /v2/brands/{brand_id}/resources/email`

Allows users to retrieve branding for email resource.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `brand_id` | string | Yes | ID of the brand. Must match the pattern: [a-z0-9]{40}. |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Responses

### 200

Success

**Example** (`Success`)

```json
{
  "data": {
    "from": "senderemail@emaildomain.com",
    "logo": {
      "position": "middle"
    },
    "buttons": {
      "color": "#de4991",
      "background": "#f59758"
    },
    "subject": "My custom email",
    "body_header": "Customized letter example",
    "body_message": "This is example of message text",
    "sender_email": "senderemail@emaildomain.com",
    "footer_message": "Customized footer text",
    "signnow_references": true
  }
}
```

### 400

* Request with resource which does not exist/ is deleted
* Request without token/with invalid external bearer token/ with external app basic token
*Request with a valid bearer token from another user logged in

**Example** (`Request with resource which does not exist/ is deleted`)

```json
{
  "code": 25002036,
  "message": "Brand resource not found. Resource name: email."
}
```

**Example** (`Request with valid bearer token from another user logged in`)

```json
{
  "code": 25002030,
  "message": "No access to the brand."
}
```

**Example** (`Request without token/with invalid external bearer token/ with external app basic token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 404

* Request with brand_id which does not exist/ is deleted
* Request with bearer token from a user authorised with external token from the app they don’t own

**Example** (`Request with brand_id which does not exist/ is deleted`)

```json
{
  "code": 25002016,
  "message": "Brand not found."
}
```

**Example** (`Request with bearer token from a user authorised with external token from the app they don’t own`)

```json
{
  "code": 25002001,
  "message": "Brand action not allowed"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/brands/{brand_id}/resources/email" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/deprecated-branding/operations/get-v2-brands-brand_id-email*
